### Method

# Shell App activate_window

#### Declaration [src]

    void
    shell_app_activate_window (
      ShellApp* app,
      MetaWindow* window,
      guint32 timestamp
    )

#### Description [src]

Bring all windows for the given app to the foreground, but ensure that `window` is on top. If `window` is `NULL`, the window with the most recent user time for the app will be used.

This function has no effect if `app` is not currently running.

#### Parameters

`window`

  Type: `MetaWindow`

  Window to be focused.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`timestamp`

  Type: `guint32`

  Event timestamp.